<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_gsi_authz</name>
    <title>GSI Authorization API</title>
    <filename>group__globus__gsi__authz.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_handle_init</name>
      <anchorfile>group__globus__gsi__authz.html</anchorfile>
      <anchor>g83fe87061ed6b5be8ff06e0083193e70</anchor>
      <arglist>(globus_gsi_authz_handle_t *handle, const char *service_name, const gss_ctx_id_t context, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authorize</name>
      <anchorfile>group__globus__gsi__authz.html</anchorfile>
      <anchor>gb32805412b43dfbd70be366a166ec85f</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, const void *action, const void *object, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_handle_destroy</name>
      <anchorfile>group__globus__gsi__authz.html</anchorfile>
      <anchor>g4800365eee7b9f4ece1410613ac2ded5</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_get_authorization_identity</name>
      <anchorfile>group__globus__gsi__authz.html</anchorfile>
      <anchor>gfb49107db04bdd666401ee501dfca900</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, char **identity_ptr, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_authz_constants</name>
    <title>GSI Credential Constants</title>
    <filename>group__globus__gsi__authz__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_authz_error_t</name>
      <anchorfile>group__globus__gsi__authz__constants.html</anchorfile>
      <anchor>g5d2389de9e7358a3ecc0cfa0d310bb16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_SUCCESS</name>
      <anchorfile>group__globus__gsi__authz__constants.html</anchorfile>
      <anchor>gg5d2389de9e7358a3ecc0cfa0d310bb16d2e5e714474aaa090c073f5c585d1a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_ERRNO</name>
      <anchorfile>group__globus__gsi__authz__constants.html</anchorfile>
      <anchor>gg5d2389de9e7358a3ecc0cfa0d310bb169c2896f2bbbecbc1e225c8c7995cd17b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_BAD_PARAMETER</name>
      <anchorfile>group__globus__gsi__authz__constants.html</anchorfile>
      <anchor>gg5d2389de9e7358a3ecc0cfa0d310bb1642d8c011d41574359f74530d5f3b468c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_CALLOUT</name>
      <anchorfile>group__globus__gsi__authz__constants.html</anchorfile>
      <anchor>gg5d2389de9e7358a3ecc0cfa0d310bb161669e02278558a81de03951abd47b063</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
